<?php

namespace App\Service;

use App\Exception as Exception;

class BranchService {

    private $branchFactory;

    public function __construct (\App\Factory\BranchFactory $branchFactory) {
        $this->branchFactory = $branchFactory;
    }
    
    
    public function getBranchData($cdFilial) {
    	$branchsData = $this->branchFactory->getBranchData($cdFilial);
    	$branchs = [];

    	foreach($branchsData as $branch) {
    		array_push($branchs, [
				"branchId" => $branch["CDFILIAL"],
				"tradingName" => $branch["NMFILIAL"],
				"companyName" => $branch["NMRAZSOCFILI"],
				"employerNumber" => $branch["NRINSJURFILI"],
				"stateRegistration" => $branch["CDINSCESTA"],
				"address" => $branch["DSENDEFILI"],
				"addressComplement" => $branch["DSCOMPENDFIL"],
				"neighborhood" => $branch["NMBAIRFILI"],
				"city" => $branch["NMMUNICIPIO"],
				"uf" => $branch["SGESTADO"],
				"contactName" => $branch["NMCONTFILI"],
				"tel" => $branch["NRTELEFILI"],
				"email" => $branch["DSEMAILFILI"],
				"initialDate" => $branch["DTINCLUSAO"],
				"activeId" => $branch["IDATIVO"],
			]);
    	}
		
		return array("data" => $branchs);
    }
}